import { Config, Context } from "semantic-release";
import { Execa } from "./interfaces/execa.interface";
import { NpmConfig } from "./interfaces/npm.interface";
import { PackageBasicInfo } from "./interfaces/package-info.interface";
export declare class Npm {
    private readonly execa;
    constructor(execa: Execa);
    authenticate({ registry }: {
        registry: string;
    }, context: Context & Config): Promise<void>;
    whoAmI(context: Context & Config): Promise<void>;
    deprecate({ name, version, reason, }: {
        name: string;
        version: string;
        reason: string;
    }, context: Context & Config): Promise<void>;
    getBasicInfo(context: Context & Config): Promise<PackageBasicInfo>;
    getConfig(context: Context & Config): Promise<NpmConfig>;
    private runJsonNpm;
}
